<div class="container">

<div style="padding-top: 10%" *ngIf="recipeInfo" class="image">
        <img  [src]="recipeInfo.image" />

</div>
<div *ngIf="recipeInfo">
<p class="naslov"> {{recipeInfo.name}}</p>
<span class="ui green tag label" style="  margin: 5%; margin-bottom: 10px; text-align: justify;" *ngIf="recipeInfo.vegeterian">Vegeterian</span>

<span class="ui green tag label" style="  margin: 5%; margin-bottom: 10px; text-align: justify;" *ngIf="recipeInfo.vegan">Vegan</span>

<span class="ui green tag label" style="  margin: 5%; margin-bottom: 10px; text-align: justify;" *ngIf="recipeInfo.glFree">Gluten free</span>

<span class="ui green tag label" style="  margin: 5%; margin-bottom: 10px; text-align: justify;"  *ngIf="recipeInfo.dairyFree">Dairy free</span>

<p class="extra" style="  margin: 5%; margin-bottom: 10px; text-align: justify;">
        <span [ngSwitch]="healthScoreRating()">
          <span *ngSwitchCase="RatingEnum.Excellent" class="ui green tag label">{{ healthScoreRating() }}</span>
          <span *ngSwitchCase="RatingEnum.Good" class="ui blue label">{{ healthScoreRating() }}</span>
          <span *ngSwitchCase="RatingEnum.Average" class="ui yellow tag label">{{ healthScoreRating() }}</span>
          <span *ngSwitchCase="RatingEnum.NotRated" class="ui white tag label">{{ healthScoreRating() }}</span>
          <span *ngSwitchDefault class="ui red tag label"> {{ healthScoreRating() }} </span>
        </span>
</p>

<p class="text" id="summary"> <span style="font-style:oblique; font-weight: 700; font-size: large; color:#013328">Summary:</span> {{stringToHtml(recipeInfo.summary)}} </p>
<p *ngIf="recipeInfo.instructions" class="text"> <span style="font-style:oblique; font-weight: 700; font-size: large; ">Instructions:</span>  {{recipeInfo.instructions}}</p>
<br>
<button *ngIf="recipeInfo" class="btn btn-white-view" style="margin: 5%; margin-bottom: 10px;border-radius: 15px; color:#013328;width:150px; font-size: medium; font-family: 'Monsterrat'; height: 40px; background-color:#f6f4e8" type="button" (click) = "addToFavorites()">
   Add to favorites
</button>
</div>

</div>